PCAP_SNAPSHOT(3PCAP)

NAME
pcap_stats - get capture statistics

SYNOPSIS
#include <pcap/pcap.h>

int pcap_stats(pcap_t *p, struct pcap_stat *ps);

DESCRIPTION
pcap_stats() fills in the pcap_stat structure pointed to by its second argument. The values represent packet statistics from the start of the run to the time of the call.

pcap_stats() is supported only on live captures, not on ``savefiles''; no statistics are stored in ``savefiles'', so no statistics are available when reading from a ``savefile''.

RETURN VALUE
pcap_stats() returns 0 on success and returns -1 if there is an error or the p doesn't support packet statistics. If -1 is returned, pcap_geterr() or pcap_perror() may be called with p as an argument to fetch or display the error text.

SEE ALSO
pcap(3PCAP), pcap_geterr(3PCAP)